Skip to main content
`Ctrl`+`K`

# PCJacobiSetUseAbs

Causes the Jacobi preconditioner `PCJACOBI` to use the absolute values of the diagonal divisors in the preconditioner

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCJacobiSetUseAbs(PC pc, PetscBool flg)

Logically Collective

## Input Parameters

- pc - the preconditioner context

- flg - whether to use absolute values or not

## Options Database Key

- -pc_jacobi_abs (true|false) - use absolute values

## Note

This takes affect at the next construction of the preconditioner

## See Also

KSP: Linear System Solvers, `PCJACOBI`, `PCJacobiSetType()`, `PCJacobiGetUseAbs()`

## Level

intermediate

## Location

src/ksp/pc/impls/jacobi/jacobi.c

## Implementations

PCJacobiSetUseAbs_Jacobi() in src/ksp/pc/impls/jacobi/jacobi.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages